Skip to main content

Get Locked Product Position

API Description

Get Locked Product Position

HTTP Request

GET /sapi/v1/simple-earn/locked/position

Request Weight(IP)

150

Request Parameters

NameTypeMandatoryDescription
assetSTRINGNO
positionIdINTNO
projectIdSTRINGNO
currentLONGNOCurrently querying the page. Start from 1. Default:1
sizeLONGNODefault:10, Max:100
recvWindowLONGNO
timestampLONGYES

Response Example

{
"rows":[
  {
    "positionId":123123,  //Locked position ID
    "parentPositionId":123122, // Parent position ID
    "projectId": "Axs*90",  //Locked project ID
    "asset":"AXS",          //Locked asset 
    "amount":"122.09202928",  //Locked Amount
    "purchaseTime": 1646182276000,  //Subscription time
    "duration": "60",    //Lock period(days) 
    "accrualDays": "4",  //Accrue days
    "rewardAsset":"AXS", //Earned asset
    "APY":"0.2032",      
    "rewardAmt": "5.17181528",  //Earned amount
    "extraRewardAsset":"BNB",   //Rewards assets of extra staking type 
    "extraRewardAPR":"0.0203",  //APR of extra staking type
    "estExtraRewardAmt": "5.17181528", //Rewards of extra staking type, distribute when order expires
    "boostRewardAsset": "AXS",
    "boostApr": "0.0121",
    "totalBoostRewardAmt": "3.98201829",
    "nextPay": "1.29295383",   //Next estimated rewards payment
    "nextPayDate": 1646697600000, //Next rewards payment date
    "payPeriod": "1",  //Payment cycle
    "redeemAmountEarly": "2802.24068892", //Early redemption amount
    "rewardsEndDate": 1651449600000,   //Rewards accrual end date
    "deliverDate": 1651536000000,       //Redemption arrival time
    "redeemPeriod": "1",           //Redemption interval
    "redeemingAmt":"232.2323",     //Amount under redemption
    "redeemTo":"FLEXIBLE", // Redeem to Flexible product or Spot wallet
    "partialAmtDeliverDate": 1651536000000, //Arrival time of partial redemption amount of order
    "canRedeemEarly": true,        //When it is true, early redemption can be operated 
    "canFastRedemption": true,  //When it is true, fast redemption can be operated 
    "autoSubscribe": true,  //When it is true, auto staking can be operated
    "type":"AUTO",   //Order type is auto subscribe or normal
    "status": "HOLDING",
    "canReStake": true
  }
]
"total": 1
}